Package ru.bgcrm.plugin.bgbilling.proto.model

# Class ContractObject

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.plugin.bgbilling.proto.model.ContractObject

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`, `PeriodSet`

public class ContractObject extends IdTitle implements PeriodSet

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `String`
  `getPeriod()`
  `String`
  `getType()`
  `int`
  `getTypeId()`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setPeriod(String period)`
  `void`
  `setType(String type)`
  `void`
  `setTypeId(int typeId)`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Constructor Details

  - ### ContractObject

    public ContractObject()

- ## Method Details

  - ### getPeriod

    public String getPeriod()

  - ### setPeriod

    public void setPeriod(String period)

  - ### getType

    public String getType()

  - ### setType

    public void setType(String type)

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId(int typeId)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)
    Specified by:
      `setDateFrom` in interface `PeriodSet`

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)
    Specified by:
      `setDateTo` in interface `PeriodSet`

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)